]> git.pld-linux.org Git - packages/capi4k-utils.git/commitdiff
- from Kamil Christ kamil.christ at comp-win pl
authorTomasz Pala <gotar@pld-linux.org>
Fri, 30 Apr 2004 12:40:32 +0000 (12:40 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    capi.conf -> 1.1
    capi.init -> 1.1
    capi4k-utils-make.patch -> 1.1
    capi4k-utils.spec -> 1.1

capi.conf [new file with mode: 0644]
capi.init [new file with mode: 0644]
capi4k-utils-make.patch [new file with mode: 0644]
capi4k-utils.spec [new file with mode: 0644]

diff --git a/capi.conf b/capi.conf
new file mode 100644 (file)
index 0000000..2fbc43c
--- /dev/null
+++ b/capi.conf
@@ -0,0 +1,27 @@
+# card         file            proto   io      irq     mem     cardnr  options
+b1isa          b1.t4           DSS1    0x150   7       -       -       P2P
+b1pci          b1.t4           DSS1    -       -       -       -
+b1pci          -               -       -       -       -       -
+b1pci          -               -       -       -       -       -       P2P
+b1pciv4                b1.t4           -       -       -       -       -
+c2             c2.bin          DSS1    -       -       -       -
+c2             -               DSS1    -       -       -       -
+c4             c4.bin          DSS1    -       -       -       -
+c4             -               DSS1    -       -       -       -
+c4             -               DSS1    -       -       -       -       P2P
+c4             c4.bin          DSS1    -       -       -       -       P2P
+t1isa          t1.t4           DSS1    0x340   9       -       0
+t1pci          t1.t4           DSS1    -       -       -       -
+fcclassic      -               -       0x300   5       -       -
+fcpci          -               -       -       -       -       -
+fcpcmcia       -               -       -       -       -       -
+fcpnp          -               -       0x150   10      -       -
+fcdsl          fdslbase.bin    -       -       -       -       -
+fcdsl2         fds2base.bin    -       -       -       -       -
+fcusb          -               -       -       -       -       -
+fcusb20                fus2base.frm    -       -       -       -       -
+fcusb21                fus3base.frm    -       -       -       -       -
+fxusb          -               -       -       -       -       -
+fcdslusb       fdsubase.frm    -       -       -       -       -
+fcdslsl                fdssbase.bin    -       -       -       -       -
+fcdslslusb     fdlubase.frm    -       -       -       -       -
diff --git a/capi.init b/capi.init
new file mode 100644 (file)
index 0000000..1ab46cd
--- /dev/null
+++ b/capi.init
@@ -0,0 +1,44 @@
+#! /bin/sh
+#
+# capi          Start/Stop the CAPI 2.0 drivers.
+#
+# chkconfig:   2345 09 91
+# description: CAPI is a UNIX program that starts the CAPI 2.0 interface \
+#              for CAPI compatible devices, like AVM PCI and USB devices, \
+#              certain Eicon DIVA cards, certain Siemens Gigaset devices, \
+#              certain Hagenuk external modems, etc..
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+# See how we were called.
+case "$1" in
+  start)
+       msg_starting "CAPI 2.0 drivers"
+       daemon capiinit start
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/capi
+       ;;
+  stop)
+       msg_stopping "CAPI 2.0 drivers"
+       daemon capiinit stop
+       RETVAL=$?
+       [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/capi
+       ;;
+  status)
+       daemon capiinit show
+       RETVAL=$?
+       ;;
+  restart)
+       $0 stop
+       $0 start
+       RETVAL=$?
+       ;;
+  *)
+       msg_usage "$0 {start|stop|restart|status}"
+       exit 3
+esac
+
+exit $RETVAL
diff --git a/capi4k-utils-make.patch b/capi4k-utils-make.patch
new file mode 100644 (file)
index 0000000..aaa809b
--- /dev/null
@@ -0,0 +1,55 @@
+diff -uNr capi4k-utils.orig/Makefile capi4k-utils/Makefile
+--- capi4k-utils.orig/Makefile 2002-11-20 14:45:14.000000000 +0100
++++ capi4k-utils/Makefile      2004-04-24 19:40:56.603079576 +0200
+@@ -55,23 +55,10 @@
+ subtargets: $(CONFIGURATION)
+       set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i all; done
+-rootperm:
+-      @echo 'main(int argc,char**argv){unlink(argv[0]);return(getuid()==0);}'>g
+-      @if gcc -x c -o G g && rm -f g && ./G ; then \
+-              echo -e "\n\n      Need root permission for (de)installation!\n\n"; \
+-              exit 1; \
+-      fi
+-
+-install: rootperm
++install:
+       set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i install; done
+-      @if [ -c $(DESTDIR)/dev/isdnctrl0 ] && ls -l $(DESTDIR)/dev/isdnctrl0 | egrep "[[:space:]]45,[[:space:]]+64[[:space:]]" > /dev/null; \
+-      then \
+-              echo -e '(some) ISDN devices already exist, not creating them.\nUse scripts/makedev.sh manually if necessary.'; \
+-      else \
+-              sh scripts/makedev.sh $(DESTDIR) ; \
+-      fi
+-uninstall: rootperm
++uninstall:
+       set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i uninstall; done
+ #
+diff -uNr capi4k-utils.orig/avmb1/Makefile.in capi4k-utils/avmb1/Makefile.in
+--- capi4k-utils.orig/avmb1/Makefile.in        2002-10-26 21:27:40.000000000 +0200
++++ capi4k-utils/avmb1/Makefile.in     2004-04-24 19:39:42.971273312 +0200
+@@ -15,8 +15,8 @@
+ MANDIR                        = @CONFIG_MANDIR@
+ MAN8DIR                       = $(MANDIR)/man8
+ INSTALL                       = @INSTALL@
+-INSTALL_PROGRAM       = $(INSTALL) -o 0 -g 0 -m 0750
+-INSTALL_MAN           = $(INSTALL) -o 0 -g 0 -m 0644
++INSTALL_PROGRAM       = $(INSTALL)
++INSTALL_MAN           = $(INSTALL)
+ prefix                        = @prefix@
+ exec_prefix           = @exec_prefix@
+ CC                            = @CC@
+diff -uNr capi4k-utils.orig/pppdcapiplugin/Makefile capi4k-utils/pppdcapiplugin/Makefile
+--- capi4k-utils.orig/pppdcapiplugin/Makefile  2004-02-23 19:30:39.000000000 +0100
++++ capi4k-utils/pppdcapiplugin/Makefile       2004-04-24 19:40:56.604079424 +0200
+@@ -12,7 +12,7 @@
+ export CAPIINC=$(TOPDIR)/../capi20
+ export CAPILIB=$(TOPDIR)/../capi20
+ export INSTALL=$(TOPDIR)/install-sh -c
+-export INSTALLDATA=$(TOPDIR)/install-sh -c -o root -m 600
++export INSTALLDATA=$(TOPDIR)/install-sh -c
+ export MKDIR=$(TOPDIR)/mkinstalldirs
+ PPPSRCDIRS=/src/isdn/pppd
diff --git a/capi4k-utils.spec b/capi4k-utils.spec
new file mode 100644 (file)
index 0000000..822aff5
--- /dev/null
@@ -0,0 +1,221 @@
+Summary:       CAPI 2.0 libraries and configuration tools
+Summary(pl):   Biblioteki i narzedzia konfiguracyjne CAPI 2.0
+Summary(de):   CAPI 2.0 Werkzeuge für verschiedene ISDN Karten
+Name:          capi4k-utils
+Version:       2004.03.31
+Release:       1
+License:       GPL
+Group:         Applications/Communications
+Source0:       ftp://ftp.in-berlin.de/pub/capi4linux/%{name}-2004-03-31.tar.gz
+Source1:       ftp://ftp.in-berlin.de/pub/capi4linux/CHANGES
+Source10:      capi.conf
+Source11:      capi.init
+Patch0:                %{name}-make.patch
+URL:           ftp://ftp.in-berlin.de/pub/capi4linux/
+BuildRequires: libtool
+BuildRequires: ppp-plugin-devel
+PreReq:                rc-scripts
+Requires(post,preun):  /sbin/chkconfig
+BuildRoot:     %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
+
+%define                ppp_ver         %(awk -F'"' '/VERSION/ { print $2 }' /usr/include/pppd/patchlevel.h 2>/dev/null || echo ERROR)
+
+%description
+These are the necessary tools to operate various CAPI 2.0 compatible ISDN
+adapters.
+
+In order to use the tools you need to install the appropriate driver for the
+adapter.
+Native driver packages for some adapters are provided with the kernel.
+
+%description -l pl
+W tym pakiecie zawarte s± biblioteki wspó³dzielone libcapi20 oraz narzêdzia
+s³u¿±ce do ³adowania i konfiguracji sterowników CAPI.
+
+Aby skorzystaæ z tych narzêdzi bêdziesz potrzebowa³ jeszcze odpowiedniego
+sterownika do swojej karty ISDN. Kilka takich sterowników znajduje siê ju¿
+w j±drze.
+
+%description -l de
+Dies sind die notwendigen Grundprogramme um verschiedene CAPI 2.0 fähige Geräte
+und ISDN Karten einzurichten.
+Für einige Karten müssen Sie zusätzlich entsprechende Treiber installieren.
+
+%package devel
+Summary:       Static library and header files for capi development.
+Summary(pl):   Pliki nag³ówkowe i biblioteki statyczne libcapi.
+Summary(de):   Bibliotheken und Kopfdateien zur Entwicklung von CAPI Programmen
+Group:         Development/Libraries
+Requires:      %{name} = %{version}-%{release}
+
+%description devel
+The %{name}-devel package contains the capi static library and header
+files required to develop capi applications.
+
+%description devel
+Ten pakiet zawiera pliki nag³ówkowe i biblioteki statyczne potrzebne
+do budowania programów korzystaj±cych ze sterowników w standardzie CAPI
+poprzez bibliotekê libcapi.
+
+%description devel -l de
+Dieses Paket stellt die notwendigen Bibliotheken und andere Dateien bereit um
+CAPI Programme zu entwickeln oder neu zu Übersetzen.
+
+%package capifax
+Summary:       CAPI 2.0 fax tool
+Summary(pl):   Proste narzêdzia do faksowania wykorzystuj±cy mo¿liwo¶ci CAPI 2.0
+Summary(de):   CAPI 2.0 Fax Programm
+Group:         Applications/Communications
+Requires:      %{name} = %{version}-%{release}
+
+%description capifax
+Native tools for sending and receiving fax with CAPI 2.0.
+
+HINT: If you intend to use other CAPI 2.0 compliant fax software you do not
+      need to install this package.
+
+%description capifax -l pl
+Podstawowe programy do wysy³ania i odbierania faksów przez CAPI 2.0.
+
+PORADA: Je¶li zamierzasz korzystaæ z innego pakietu do obs³ugi faksów
+        (np. capisuite lub hylafax) to nie potrzebujesz tego pakietu.
+
+%description capifax -l de
+Basis Programm zum Senden und Empfangen von Fax mittels CAPI 2.0.
+
+HINWEIS: Falls Sie andere CAPI 2.0 fähige Faxprogramme einsetzen wollen
+         brauchen Sie dieses Paket nicht installieren.
+
+%package remotecapi
+Summary:       CAPI 2.0 remote tool
+Summary(pl):   Program udostêpniaj±cy interface CAPI 2.0 przez sieæ
+Summary(de):   CAPI 2.0 Fernsteuerungsprogramm
+Group:         Applications/Communications
+Requires:      %{name} = %{version}-%{release}
+
+%description remotecapi
+Native tool for remote control (login) with CAPI 2.0.
+
+ATTENTION: This is extreme BETA.
+           Avoid to install this package.
+
+%description remotecapi -l pl
+Program udostêpniaj±cy interface CAPI 2.0 przez sieæ
+
+UWAGA: To jest na razie BETA. Tylko do testów.
+
+%description remotecapi -l de
+Basis Programm zu Fernsteuerung (Login) mittels CAPI 2.0.
+
+ACHTUNG: Dieses Programm ist BETA Testsoftware.
+         Vermeiden Sie dieses Paket zu installieren.
+
+%package -n ppp-plugin-capi
+Summary:       capiplugin for pppd-%{ppp_ver}
+Summary(pl):   Wtyczka capi dla pppd w wersji %{ppp_ver}
+Group:         Applications/Communications
+Requires:      %{name} = %{version}-%{release}
+Requires:      ppp = %{ppp_ver}
+
+%description -n ppp-plugin-capi
+capiplugin for pppd-%{ppp_ver}.
+
+%description -n ppp-plugin-capi -l pl
+Wtyczka capi dla pppd w wersji %{ppp_ver}.
+
+%prep
+%setup -q -n %{name}
+%patch0 -p1
+
+cat > .config << END
+CONFIG_BINDIR='%{_bindir}'
+CONFIG_SBINDIR='%{_sbindir}'
+CONFIG_MANDIR='%{_mandir}'
+CONFIG_AVMCAPICTRL=y
+CONFIG_CAPIFAX=y
+CONFIG_RCAPID=y
+CONFIG_PPPDCAPIPLUGIN=y
+END
+
+install -p %{SOURCE1} .
+
+%build
+%{__make} subconfig
+%{__make} PPPVERSIONS=%{ppp_ver}
+
+%install
+rm -rf $RPM_BUILD_ROOT
+%{__make} PPPVERSIONS=%{ppp_ver} install \
+       DESTDIR=$RPM_BUILD_ROOT
+
+# Firmware goes here - see LSB and kernel 2.6.x ISDN stuff
+install -d %{buildroot}%{_datadir}/isdn
+
+# install capi configuration file used by capiinit
+install -d %{buildroot}%{_sysconfdir}/capi
+install %{SOURCE10} %{buildroot}%{_sysconfdir}/capi/
+
+# install capi startup script
+install -D %{SOURCE11} %{buildroot}%{_initrddir}/capi
+
+%post -n %{name}
+/sbin/ldconfig
+/sbin/chkconfig --add capi
+exit 0
+
+%preun -n %{name}
+if [ "$1" = "0" ]; then
+       /sbin/service capi stop > /dev/null 2>&1
+       /sbin/chkconfig --del capi
+fi
+exit 0
+
+%postun -n %{name}
+/sbin/ldconfig
+if [ "$1" -ge "1" ]; then
+       /sbin/service capi stop > /dev/null 2>&1
+fi
+exit 0
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+%files
+%defattr(644,root,root,755)
+%doc CHANGES
+%doc pppdcapiplugin/examples
+%attr(0755,root,root) %{_bindir}/capiinfo
+%attr(0755,root,root) %{_sbindir}/capiinit
+%attr(0755,root,root) %{_sbindir}/avmcapictrl
+%attr(755,root,root) %{_libdir}/lib*.so.*.*
+%attr(754,root,root) %{_initrddir}/capi
+%{_mandir}/man8/capiinfo.8*
+%{_mandir}/man8/avmcapictrl.8*
+%dir %{_datadir}/isdn
+%dir %{_sysconfdir}/capi
+%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/capi/capi.conf
+# mi to nie chce dzialac, wypisuje ze brak pliku
+#%ghost %{_sysconfdir}/capi.conf
+
+%files devel
+%defattr(644,root,root,755)
+%attr(755,root,root) %{_libdir}/lib*.so
+%{_includedir}/*
+%{_libdir}/lib*.la
+# to chyba powinno isc do -static, ale nie wiem...
+%{_libdir}/lib*.a
+
+%files capifax
+%defattr(644,root,root,755)
+%attr(0755,root,root) %{_bindir}/capifax*
+
+%files remotecapi
+%defattr(644,root,root,755)
+%attr(0755,root,root) %{_sbindir}/rcapid
+
+%files -n ppp-plugin-capi
+%defattr(644,root,root,755)
+%exclude %{_sysconfdir}/drdsl
+%exclude %{_sysconfdir}/ppp
+%{_libdir}/pppd/%{ppp_ver}/*
+%{_mandir}/man8/capiplugin.8*
This page took 0.298823 seconds and 4 git commands to generate.